/*
 * @Author: Fancy
 * @Date: 2024-03-08 16:32:43
 * @LastEditors: Spring
 * @LastEditTime: 2024-03-08 16:54:48
 */
import type { LoginParams, LoginResult } from '@/types/Login';
import { request } from '@/utils/request';

/**
 * 获取RSA 公钥
 * @returns 公钥
 */
export const getPublicKey = () =>
  request<string>('/service-ssobusiness/login/getPublicSecure', 'post');

/**
 * 登录请求
 * @param data 登录请求参数
 * @returns 登录结果
 */
export const loginRequest = (params: LoginParams) =>
  request<LoginResult>('/service-ssobusiness/login/verify', 'post', params);
